Loading...
Searching...
No Matches
EMF::EMRPOLYGON Class Reference

EMF Filled Polygon. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRPOLYGON:

## Public Member Functions

| EMRPOLYGON (const RECTL *bounds, const POINT *points, INT n)
| EMRPOLYGON (DATASTREAM &ds)
| ~EMRPOLYGON ()
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Filled Polygon.

Draw a filled polygon.

## Constructor & Destructor Documentation

## EMRPOLYGON() [1/2]

EMF::EMRPOLYGON::EMRPOLYGON | ( | const RECTL * | bounds,
|  | const POINT * | points,
|  | INT | n )

inline

Parameters

  bounds | overall bounding box of polygon.
  points | array of polygon vertices.
  n | number of vertices in points.

## EMRPOLYGON() [2/2]

EMF::EMRPOLYGON::EMRPOLYGON | ( | DATASTREAM & | ds | ) |

inline

Construct a Polygon record from the input stream.

Parameters

  ds | Metafile datastream.

## ~EMRPOLYGON()

EMF::EMRPOLYGON::~EMRPOLYGON | ( |  | ) |

inline

Destructor frees a copy of the points it buffered.

## Member Function Documentation

## execute()

void EMF::EMRPOLYGON::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRPOLYGON::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRPOLYGON::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h